Package org.bgerp.plugin.svc.dba.model.db

# Class Table

java.lang.Object
org.bgerp.plugin.svc.dba.model.db.Table

public class Table extends Object
DB table info

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Table()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getCreateTime()`
  `long`
  `getDataLength()`
  `long`
  `getIndexLength()`
  `String`
  `getName()`
  `long`
  `getRows()`
  `List<UnusedColumn>`
  `getUnusedColumns()`
  `Date`
  `getUpdateTime()`
  `boolean`
  `isDropCandidate()`
  `void`
  `setCreateTime(Date createTime)`
  `void`
  `setDataLength(long dataLength)`
  `void`
  `setDropCandidate(boolean value)`
  `void`
  `setIndexLength(long indexLength)`
  `void`
  `setName(String name)`
  `void`
  `setRows(long rows)`
  `void`
  `setUpdateTime(Date updateTime)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Table

    public Table()

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getRows

    public long getRows()

  - ### setRows

    public void setRows(long rows)

  - ### getDataLength

    public long getDataLength()

  - ### setDataLength

    public void setDataLength(long dataLength)

  - ### getIndexLength

    public long getIndexLength()

  - ### setIndexLength

    public void setIndexLength(long indexLength)

  - ### getCreateTime

    public Date getCreateTime()

  - ### setCreateTime

    public void setCreateTime(Date createTime)

  - ### getUpdateTime

    public Date getUpdateTime()

  - ### setUpdateTime

    public void setUpdateTime(Date updateTime)

  - ### isDropCandidate

    public boolean isDropCandidate()

  - ### setDropCandidate

    public void setDropCandidate(boolean value)

  - ### getUnusedColumns

    public List<UnusedColumn> getUnusedColumns()
    Returns:
      temporary columns with name starting from `_`